Package: groovy.json.internal

## [Java] Interface Value

- Authors:
    Rick Hightower

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `BigDecimal` | `bigDecimalValue()`
    `` | `BigInteger` | `bigIntegerValue()`
    `` | `boolean` | `booleanValue()`
    `` | `byte` | `byteValue()`
    `` | `char` | `charValue()`
    `` | `void` | `chop()`
    `` | `Date` | `dateValue()`
    `` | `double` | `doubleValue()`
    `` | `float` | `floatValue()`
    `` | `int` | `intValue()`
    `` | `boolean` | `isContainer()`
    `` | `long` | `longValue()`
    `` | `short` | `shortValue()`
    `` | `String` | `stringValue()`
    `` | `String` | `stringValueEncoded()`
    `<T extends Enum>` | `T` | `toEnum(Class<T> cls)`
    `` | `Object` | `toValue()`

- - ### Method Detail

    - #### public BigDecimal bigDecimalValue()

    - #### public BigInteger bigIntegerValue()

    - #### public boolean booleanValue()

    - #### public byte byteValue()

    - #### public char charValue()

    - #### public void chop()

    - #### public Date dateValue()

    - #### public double doubleValue()

    - #### public float floatValue()

    - #### public int intValue()

    - #### public boolean isContainer()

    - #### public long longValue()

    - #### public short shortValue()

    - #### public String stringValue()

    - #### public String stringValueEncoded()

    - #### <T extends Enum> public T toEnum(Class<T> cls)

    - #### public Object toValue()